{% extends "users/userspace.html" %}

{% load template_utils %}

{% block content %}
    <section class="container px-5 my-5">
        <h1>Mes adhésions</h1>

        {{ PAGE_MES_ADHESIONS|safe }}

        <p class="fs-5 my-3 px-3">
            <span class="fw-bold">Statut adhésion :</span>
            {% if current_year.subscribed %}
                Adhérent.e pour l'année {{ current_year.year }}
            {% else %}
                Vous n'avez pas adhéré pour cette année
            {% endif %}
        </p>

        <article class="my-5 d-flex flex-column align-items-center">
            {% if adhesions|length > 0 %}
                <p>Vous souhaitez adhérer pour l'année prochaine ? C'est ici !</p>
            {% else %}
                <p>Pas encore adhérent.e ? Inscrivez-vous maintenant !</p>
            {% endif %}

            <a href="{% url 'register_adhesion' %}" class="btn btn-success fs-5 px-5">
                Adhérer
            </a>
        </article>

        <table class="table">
            <thead>
            <tr>
                <th scope="col">Année</th>
                <th scope="col">Date d'enregistrement</th>
                <th scope="col">Tarif</th>
                <th scope="col">Payée</th>
                {% comment %}
                <th scope="col">Actions</th>
                {% endcomment %}
            </tr>
            </thead>
            <tbody>
            {% for adhesion in adhesions %}
                <tr>
                    <td>{{ adhesion.annee }}</td>
                    <td>{{ adhesion.date_enregistrement }}</td>
                    <td>{{ adhesion.tarif }} €</td>
                    <td>
                        {% if adhesion.payee %}
                            Oui
                        {% else %}
                            Non
                        {% endif %}
                    </td>
                {% comment %}
                    <td>

                    </td>
                {% endcomment %}
                </tr>
            {% endfor %}
            </tbody>
        </table>
    {% pagination_widget page_obj request %}
    </section>
{% endblock %}